org.gjt.sp.jedit.bufferio

## Class IoTask

- java.lang.Object
- - org.gjt.sp.util.Task
  - - org.gjt.sp.jedit.bufferio.IoTask

- All Implemented Interfaces:
    java.lang.Runnable, ProgressObserver
  Direct Known Subclasses:
    BufferIORequest

      public abstract class IoTask
      extends Task

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoTask()`

  - ### Method Summary

    - ### Methods inherited from class org.gjt.sp.util.Task

      `_run, cancel, getLabel, getMaximum, getState, getStatus, getValue, isCancellable, run, setCancellable, setLabel, setMaximum, setStatus, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoTask

          public IoTask()